// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
funcprot(0);
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

theta_g=0;
phi_g=0;

// ---------------------------------------------------------------------

e1=[1;0;0];
e2=[0;1;0];
e3=[0;0;1];

theta=theta_g*%CL_deg2rad;
phi=phi_g*%CL_deg2rad;

pos_ob=cos(theta)*cos(phi)*e1..
      +cos(theta)*sin(phi)*e2..
      +sin(theta)*e3; // Beobachter

pos_su=10*e3; // Sonne
pos_ve=10*e1; // Venus

M_obsv=CL_rot_defFrameVec(pos_ob-pos_ve,pos_ob,3,2);
M_suve=CL_rot_defFrameVec(pos_su-pos_ve,pos_su-pos_ve,3,3);

RotM=M_obsv*M_suve';

Delta=CL_dot(pos_su-pos_ve,pos_ob-pos_ve)/..
     (CL_norm(pos_su-pos_ve)*CL_norm(pos_ob-pos_ve));

Delta=acos(Delta)*%CL_rad2deg;

disp("---Pos---");
disp(pos_ob);
disp(pos_su);
disp(pos_ve);

disp("---Delta---");
disp(Delta);

disp("---Mat---");
disp(M_obsv);
disp(M_suve);
disp(RotM);

disp("---M_obsv*e(k)---");
disp(M_obsv*e1);
disp(M_obsv*e2);
disp(M_obsv*e3);

disp("---M_suve*e(k)---");
disp(M_suve*e1);
disp(M_suve*e2);
disp(M_suve*e3);

disp("---RotM*e(k)---");
disp(RotM*e1);
disp(RotM*e2);
disp(RotM*e3);








